Skip to main content
POST
/
v2
/
reports
/
{reportId}
/
execute
cURL
curl --request POST \
  --url https://api.pelanor.io/v2/reports/{reportId}/execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "elements": [
    {
      "key": [
        "<string>"
      ],
      "propertyValues": {},
      "metricValues": {}
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.pelanor.io/llms.txt

Use this file to discover all available pages before exploring further.

Runs a saved report by its ID in the Pelanor platform.
The API key used to make the API request must have access to the report (i.e., same workspace or above)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

reportId
string
required

Body

application/json

The body is of type object.

Response

A successful response.

elements
object[]